Package gov.nasa.gsfc.sscweb.schema

# Class ObservatoryDescription

java.lang.Object
gov.nasa.gsfc.sscweb.schema.SatelliteDescription
gov.nasa.gsfc.sscweb.schema.ObservatoryDescription

public class ObservatoryDescription extends SatelliteDescription
SSC Observatory type. <p>Java class for ObservatoryDescription complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="ObservatoryDescription"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}SatelliteDescription"> <sequence> <element name="ResourceId" type="{http://www.w3.org/2001/XMLSchema}string"/> <element name="GroupId" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<String>`
  `groupId`
  Observatory group identifier.
  `protected String`
  `resourceId`
  Satellite resource identifier.

  ### Fields inherited from class gov.nasa.gsfc.sscweb.schema.SatelliteDescription

  `endTime, geometry, id, name, resolution, startTime, trajectoryGeometry`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObservatoryDescription()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getGroupId()`
  Observatory group identifier.
  `String`
  `getResourceId()`
  Satellite resource identifier.
  `void`
  `setResourceId(String value)`
  Sets the value of the resourceId property.

  ### Methods inherited from class gov.nasa.gsfc.sscweb.schema.SatelliteDescription

  `getEndTime, getGeometry, getId, getName, getResolution, getStartTime, getTrajectoryGeometry, setEndTime, setGeometry, setId, setName, setResolution, setStartTime, setTrajectoryGeometry`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### resourceId

    protected String resourceId
    Satellite resource identifier.

  - ### groupId

    protected List<String> groupId
    Observatory group identifier.

- ## Constructor Details

  - ### ObservatoryDescription

    public ObservatoryDescription()

- ## Method Details

  - ### getResourceId

    public String getResourceId()
    Satellite resource identifier.
    Returns:
      possible object is `String`

  - ### setResourceId

    public void setResourceId(String value)
    Sets the value of the resourceId property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getResourceId()`

  - ### getGroupId

    public List<String> getGroupId()
    Observatory group identifier. Gets the value of the groupId property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the groupId property.

    For example, to add a new item, do as follows:

         getGroupId().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the groupId property.